Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface ICommunityManager

All Superinterfaces:
  IObjectManager

public interface ICommunityManager
extends IObjectManager

Interface that provides remote access to communities.

Method Summary
`IObjectQuery` | `getCommunityPages(int communityID)` Queries the community pages and their properties for a given community.

Methods inherited from interface com.plumtree.remote.prc.IObjectManager
`lookupObjectID, lookupUUID, queryACL, queryCommunitiesForPortlet, queryExtendedData, queryObjects, queryObjects, queryObjects, queryObjects, queryObjects, querySingleObject, updateACL`

Method Detail

### getCommunityPages

    public IObjectQuery getCommunityPages(int communityID)
                                   throws PortalException,
                                          java.rmi.RemoteException

  Queries the community pages and their properties for a given community. The `IObjectQueryRow` objects in the `IObjectQuery` are returned in the same order as the pages in the community; using the server api terminology, the pages are sorted by `PT_PROPIDS.PT_PROPID_PAGES_TOPICPOS`.

  Parameters:
    `communityID` - is the community ID to retrieve the pages for.
  Returns:
    The pages within the community.
  Throws:
    `PortalException` - if the operation resulted in an error on the portal.
    `RemoteException` - if there is a communication problem during the execution of the remote method call.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.